Redmine - Feature #1051

My Page - Customisaton / Default behaviour - Reported Issues
2008-04-13 11:45 - Jason Milkins

Status: Closed Start date: 2008-04-13
Priority: Normal Due date:

Assignee: % Done: 0%
Category: My page Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

Reported issues list on My Page view should be filtered to exclude closed issues by default.

e Suggest this be optional behaviour set for the block in personalise mode

Related issues:

Related to Redmine - Feature #895: Add "My tickets" to topmost menu Closed 2008-03-19
Related to Redmine - Feature #12223: Make "My Page"-Widgets filterable Closed

Is duplicate of Redmine - Feature #1565: Custom query on My page Closed 2008-07-03
History

#1 - 2008-04-14 20:36 - Maxim Krusina

IMHO this is great idea. Now "My Page" is good enough for our developers, but for me as a project it's insufficient. My original idea is described here:
#895, but this seems to be a more "system" logic sollution.

So | need to:

e use same filters as on regular ticket's page including custom fields
e use custom number of lines per page, same as on ticket page

#2 - 2008-05-19 13:21 - gabriel scolan

I'm not sure it can be implemented by the same time, but it'd be great to be able to define the "My Page" with own built queries, using general or
customized views visible by the user. This could then be organized by the user itself to see its issues per project (one frame per project if the user
likes s0).

As an extension, any page (wiki preferred pages, roadmap, queries, forums, ...) could be linked to the user "My Page".

#3 - 2008-08-27 15:20 - Digital Base
We have just implemented the redmine project management tool. This is a great help if you're coming from 10+ trac installations, congrats on that !

One of the reasons i decided to migrate is the multi project support, we have multiple developmers working on multiple project. Exactly for this reason
it would be of great help if you could manually decide what to list on the homepage. For a normal programmer the most important would be :

e assigned tickets sorted by priority
¢ assigned tickets for project X (you should be able to set this manually)

it's great to see that this is already a ticket and listed on the 0.8 roadmap. I'll watch this item.
If you need any help/suggestions feedback i would be happy to test/debug, i am using the trunk/svn version anyway.

#4 - 2008-11-11 10:39 - Jean-Philippe Lang
- Target version deleted (0.8)

#5 - 2013-04-09 22:49 - Filou Centrinov
Category: My page

#6 - 2013-04-10 04:06 - Toshi MARUYAMA
- Category changed from Ul to My page

#7 - 2013-04-10 12:40 - Daniel Felix

This one could be resolved with the implementation of #895 or #12223. Which would be more generously.
#8 - 2014-06-24 01:33 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Duplicate

Close as duplicate with #1565.
#1565 has more discussions.

#9 - 2014-06-24 01:33 - Toshi MARUYAMA
- Is duplicate of Feature #1565: Custom query on My page added

2025-05-02 22


https://www.redmine.org/issues/1565
https://www.redmine.org/issues/1565
http://www.tcpdf.org

